Disable ffvpx with early libav version

RESOLVED FIXED in Firefox 43

Status

()

defect
P1
normal
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: jya, Unassigned)

Tracking

43 Branch
mozilla44
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox43 fixed, firefox44 fixed)

Details

Attachments

(1 attachment)

(Reporter)

Description

4 years ago
When using ffpvx with libav 0.8.5 as found on try ; it leads to intermittent failures in dom/media/test/test_mediarecorder_bitrate.html

Rather than investigating the cause, let's just disable ffvpx on those versions instead.
(Reporter)

Comment 2

4 years ago
this was done differently in bug 1207429, making it available with a pref instead.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WONTFIX
(Reporter)

Comment 3

4 years ago
actually, we do need it for bug 1159171 to go in.
Status: RESOLVED → REOPENED
Resolution: WONTFIX → ---
https://hg.mozilla.org/mozilla-central/rev/d90c13f43f4d
Status: REOPENED → RESOLVED
Last Resolved: 4 years ago4 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla44
(Reporter)

Updated

4 years ago
Blocks: 1214943
(Reporter)

Comment 6

4 years ago
Comment on attachment 8664636 [details] [diff] [review]
Disable ffvpx with libav0.8 and earlier.

Approval Request Comment
[Feature/regressing bug #]: Making FFmpeg more robust
[User impact if declined]: WebM regression with early version of LibAV 
[Describe test coverage new/current, TreeHerder]: in central for a few weeks
[Risks and why]: Low, just adding extra checks
[String/UUID change made/needed]: None
Attachment #8664636 - Flags: approval-mozilla-aurora?
Comment on attachment 8664636 [details] [diff] [review]
Disable ffvpx with libav0.8 and earlier.

Check for incompatibility for ffmpeg. OK to uplift to aurora.
Attachment #8664636 - Flags: approval-mozilla-aurora? → approval-mozilla-aurora+
You need to log in before you can comment on or make changes to this bug.